{config, ...}: {
  imports = [
    ./disko.nix
    ../../users/jalr
    ./networking.nix
    ./services
  ];

  users.users.jalr.initialHashedPassword = "$y$j9T$jNVubFR0TeZOo2jm.aBke/$GPYbyIUGq2lFccC4fHZX61s3EwQ.dB8uUsTINeRLt/1";

  weinturm = {
    impermanence = {
      enable = true;
      rootDevice = config.disko.devices.disk.disk1.content.partitions.nixos.device;
    };
    zram.enable = true;
  };

  security.acme = {
    acceptTerms = true;
    defaults.email = "it@weinturm-open-air.de";
  };

  boot = {
    initrd = {
      availableKernelModules = ["xhci_pci" "ehci_pci" "ahci" "usbhid" "usb_storage" "sd_mod"];
    };

    kernelModules = ["kvm-intel"];
    kernelParams = [
      "console=ttyS0,115200"
      "console=tty1"
    ];

    loader = {
      efi = {
        efiSysMountPoint = "/boot";
        canTouchEfiVariables = false;
      };
      generationsDir.copyKernels = true;
      grub = {
        devices = ["/dev/sda"];
        efiInstallAsRemovable = true;
        copyKernels = true;
        efiSupport = true;
        mirroredBoots = [
          {
            path = "/boot1";
            devices = ["/dev/sdb"];
          }
        ];
        extraConfig = ''
          serial --unit=0 --speed=115200 --word=8 --parity=no --stop=1
          terminal_input --append serial
          terminal_output --append serial
        '';
      };
    };
  };

  system.stateVersion = "25.05"; # Did you read the comment?
}
